\documentclass[12pt]{beamer}

\usepackage[english]{babel}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{lmodern}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{mathtools}

\usetheme{Edinburgh}

\title{Linear Independence}
\subtitle{}
\author{Luke Naylor}
\institute{University of Edinburgh}
\date{March 2022}

\newcommand\RR{\mathbb{R}}

\begin{document}

\begin{frame}
  \titlepage
\end{frame}


\section{$\RR^2$ example}

\begin{frame}{Coordinates on $\RR^2$ }

  \begin{center}
    \includegraphics[height=0.40\textheight]{images/coordinates.png}
  \end{center}

  \[
    \begin{pmatrix}
      x \\ y
    \end{pmatrix}
    =
    x \cdot
    \begin{pmatrix}
      1 \\ 0
    \end{pmatrix}
    + y \cdot
    \begin{pmatrix}
      0 \\ 1
    \end{pmatrix}
  \]

  \begin{itemize}
    \item All elements of $\RR^2$ expressible in this way
        \item And done so uniquely
  \end{itemize}

%\begin{block}{Examples}
%Some examples of commonly used commands and features are included, to help you
%get started.
%\end{block}

\end{frame}

\begin{frame}{Coordinates on $\RR^2$ }

  \[
    \vec{v}
    =
    x \cdot
    \vec{e_1}
    + y \cdot
    \vec{e_2}
  \]
  \[
    \text{Where}\:
    \vec{e_1}\coloneqq
    \begin{pmatrix}
      1 \\ 0
    \end{pmatrix}
    \:\text{and}\:
    \vec{e_2}\coloneqq
    \begin{pmatrix}
      0 \\ 1
    \end{pmatrix}
  \]


  \begin{itemize}
    \item {\color{gray}All elements of $\RR^2$ expressible in this way}
    \item And done so uniquely
  \end{itemize}

\end{frame}

\begin{frame}{New coordinate system on $\RR^2$ }

  \[
    \vec{v}
    =
    x \cdot
    \vec{e_1}
    + y \cdot
    \vec{e_2}
  \]
  \[
    \text{Where}\:
    \vec{e_1}\coloneqq
    \begin{pmatrix}
      2 \\ 1
    \end{pmatrix}
    \:\text{and}\:
    \vec{e_2}\coloneqq
    \begin{pmatrix}
      3 \\ -1
    \end{pmatrix}
  \]


  \begin{itemize}
    \item {\color{gray}All elements of $\RR^2$ expressible in this way}
    \item And done so uniquely
  \end{itemize}

\end{frame}

\begin{frame}{New coordinates on $\RR^2$ }
  \begin{figure}
    \begin{center}
      \includegraphics[width=0.95\textwidth]{images/alternative-axes.png}
    \end{center}
    \caption{Picturing new coordinate system using new $\vec{e_1}$ and $\vec{e_2}$}
    \label{}
  \end{figure}
\end{frame}


% definitions of linear independence
\section{Linear Independence}

\begin{frame}{ Definitions of linear independence }
  A set of vectors $A$ is called linearly independent when:
  \begin{definition}
    Any vector $\vec{v}$ that can be expressed as a finite sum
    \[
      \vec{v} = \sum_{i=1}^n \alpha_i \cdot \vec{v_i} \qquad \text{where $\vec{v_i}$ distinct elems of $A$}
    \]
    is done so uniquely
  \end{definition}
  \begin{definition}
    There is no way of writing with some $\alpha_i \in \RR$, not all zero:
    \[
      \vec{0} = \sum_{i=1}^n \alpha_i \cdot \vec{v_i} \qquad \text{where $\vec{v_i}$ distinct elems of $A$}
    \]
  \end{definition}
\end{frame}


\begin{frame}{ Definitions of linear independence }
  A set of vectors $A$ is called linearly independent when:
  \begin{definition}
    There is no "linear dependence" among the vectors in $A$, that is,
    there is no $\vec{v}\in A$ which can be expressed as a linear combination of the others:
    \[
      \vec{v} = \sum_{i=1}^n
      \alpha_i \cdot \vec{v_i}
      \qquad
      \text{Where $v_i \in A\setminus \{v\}$, $\alpha_i \in \RR$}
    \]
  \end{definition}
\end{frame}

\section{Linear Independence example}

\begin{frame}{Linear independance in $\RR^2$}
  \begin{figure}
    \begin{center}
      \includegraphics[width=0.95\textwidth]{images/alternative-axes.png}
    \end{center}
    \caption{Picturing linear independence of two vectors in $\RR^2$}
    \label{}
  \end{figure}
\end{frame}

% Notice adding 3rd vector breaks linear independence

\begin{frame}{Linear independance in $\RR^2$}
  \begin{itemize}
    \item Most choices of 2 vectors are linearly independent
    \item All choices of 3 vectors are linearly dependent
  \end{itemize}
\end{frame}

\section{Abstract Theory}
% More abstract theory

\begin{frame}{Extending a linearly independent set}
  Start with a linearly independent set $A$

  Consider $A\cup \{\vec{v}\}$
  \begin{itemize}
    \item $\vec{v} \in \mathrm{Span}(A)$ \qquad $\Rightarrow$ There's a linear dependence
    \item $\vec{v} \not\in \mathrm{Span}(A)$ \qquad $\Rightarrow$ $A\cup \{\vec{v}\}$ is linearly
      independent
  \end{itemize}
\end{frame}

\begin{frame}{Modifying linearly independent set}
  \begin{theorem}
    $\{v_1,v_2,\ldots, v_n\}$ is linearly independent

    if and only if

    $\{v_1,v_2,\ldots, v_n+\sum_{i<n} \alpha_i \cdot v_i\}$ is linearly independent
  \end{theorem}
  
\end{frame}

\end{document}
